# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# C:\Users\ci\AppData\Local\Temp\airflowtmpzzkfzi_0\a284ce17-9a59-445e-97ce-435e84199da4\src\conda-recipes\llvmlite, last modified Fri Dec  9 10:48:30 2022
# ------------------------------------------------

package:
    name: llvmlite
    version: 0.40.0dev0llvm14
source:
    path: C:\Users\ci\AppData\Local\Temp\airflowtmpzzkfzi_0\a284ce17-9a59-445e-97ce-435e84199da4\src
build:
    number: '52'
    script_env:
        - LLVMLITE_SHARED
        - LLVMLITE_USE_CMAKE
        - PY_VCRUNTIME_REDIST
    string: py310_52
requirements:
    build:
        - bzip2 1.0.8 he774522_0
        - cmake 3.22.1 h9ad04ae_0
        - libuv 1.40.0 he774522_0
        - lz4-c 1.9.3 h2bbff1b_1
        - vc 14.2 h21ff451_1
        - vs2015_runtime 14.27.29016 h5e58377_2
        - vs2015_win-64 14.0.25420 h55c1224_11
        - xz 5.2.8 h8cc25b3_0
        - zlib 1.2.13 h8cc25b3_0
        - zstd 1.5.2 h19a0ad4_0
    host:
        - bzip2 1.0.8 he774522_0
        - ca-certificates 2022.10.11 haa95532_0
        - certifi 2022.9.24 py310haa95532_0
        - libffi 3.4.2 hd77b12b_6
        - libiconv 1.16 h2bbff1b_2
        - libxml2 2.9.14 h0ad7f3c_0
        - llvmdev 14.0.6 0
        - openssl 1.1.1s h2bbff1b_0
        - pip 22.3.1 py310haa95532_0
        - python 3.10.8 h966fe2a_1
        - setuptools 65.5.0 py310haa95532_0
        - sqlite 3.40.0 h2bbff1b_0
        - tk 8.6.12 h2bbff1b_0
        - tzdata 2022g h04d1e81_0
        - vc 14.2 h21ff451_1
        - vs2015_runtime 14.27.29016 h5e58377_2
        - wheel 0.37.1 pyhd3eb1b0_0
        - wincertstore 0.2 py310haa95532_2
        - xz 5.2.8 h8cc25b3_0
        - zlib 1.2.13 h8cc25b3_0
    run:
        - libxml2 >=2.9.14,<2.10.0a0
        - python >=3.10,<3.11.0a0
        - vc >=14,<15.0a0
        - vs2015_runtime
test:
    commands:
        - python -m llvmlite.tests
    imports:
        - llvmlite
        - llvmlite.binding
about:
    home: https://github.com/numba/llvmlite
    license: New BSD License
    summary: A lightweight LLVM python binding for writing JIT compilers
extra:
    copy_test_source_files: true
    final: true
